package com.kmalbz.database.dao

import org.jetbrains.exposed.dao.id.IntIdTable
import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.`java-time`.date
import java.time.LocalDate
import java.util.*

object ResultObjects : IntIdTable() {
    val tag: Column<UUID> = uuid("tag")
    val date: Column<LocalDate> = date("date").default(LocalDate.now())
    val probability: Column<Double> = double("probability")
    override val primaryKey = PrimaryKey(id, name = "PK_ResultObject_Id")
}